package com.ruoyi.bst.channel.service;

import com.ruoyi.common.pay.wx.config.WxPayConfig;
import com.ruoyi.bst.app.domain.AppVO;
import com.ruoyi.bst.channel.domain.ChannelVO;

/**
 * @author wjh
 * 2025/1/7
 */
public interface ChannelConverter {

    /**
     * 转换渠道信息为渠道配置
     */
    default Object toConfig(ChannelVO channel) {
        return toConfig(channel, new AppVO());
    }


    Object toConfig(ChannelVO channel, AppVO app);

    WxPayConfig toWxPayConfig(Long channelId, Long appId);

    WxPayConfig toWxPayConfig(ChannelVO channel, AppVO app);
}
